
.code-stage {
    perspective: 1500px;
    z-index: -1000;
    position: relative;
}
.code-snippet {
    /*position: absolute;*/
    overflow: hidden;
    display: inline-block;
    padding: 1rem 1.5rem;
    font-size: 12px ;
    border-radius: 0.5rem;
    background: #182952;
    width: 22rem;
    min-height: 18rem;
    box-shadow: -28px 28px 75px -35px rgba(0,0,0,.6), -48px 35px 125px -25px rgba(24,41,82,.5);
    -webkit-transform: scale3d(.85,1,1) rotateX(17deg) rotateY(23deg) rotateZ(-9deg) rotate(1deg);
    transform: scale3d(.85,1,1) rotateX(17deg) rotateY(23deg) rotateZ(-9deg) rotate(1deg);
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
}
.code-snippet pre[class*=language], 
.code-snippet pre.code-snippet[class*=language] code {
  margin: 0;
  padding: 0;
  background: transparent;
  font-family: "IBM Plex Mono";
}

.code-snippet:before {
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    to top right,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 0) 20%,
    rgba(255, 255, 255, 0.5) 70%,
    #fff
  );
  opacity: 0.1;
  pointer-events: none;
}
.code-snippet pre .token.key {
  color: #1383F1;
}
.code-snippet pre .token.punctuation {
  color: rgba(255, 255, 255, 0.5);
}

@media only screen and (min-width: 20px) and (max-width: 600px) table tr td {
     

    .code-snippet {
        width: 23rem !important;
        font-size: 12px !important;
        min-height: 19rem !important;
    }
}
